#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDB,0x1E,0xB1,0x20,0xF3,0x02,0x19,0x2F,0x06,0x67,0x57,0x1A,
		0x95,0x8A,0x1F,0x52,0xF0,0x40,0xB2,0x81,0x89,0x88,0xF4,0x4F,
		0xD7,0xD8,0xE5,0x89,0xE9,0x74,0x40,0xBD,0x74,0xC0,0xC7,0xFA,
		0xC8,0xC8,0x16,0x0A,0xE9,0xF8,0xE9,0x20,0xCC,0x79,0x44,0xDF,
		0x9A,0x48,0x6C,0x00,0x51,0xB5,0xC7,0x29,0xF7,0x08,0x04,0xF9,
		0x7F,0x47,0xFC,0x0F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
